import { Injectable } from "@nestjs/common";
import { TrpcService } from "@server/trpc/trpc.service";
import { TrainSituationService } from "./trainSituation.service";
import { z, ZodType } from "zod";
import { Prisma } from "@nice/common";

const TrainSituationArgsSchema:ZodType<Prisma.TrainSituationCreateArgs> = z.any()


@Injectable()
export class TrainSituationRouter {
    constructor(
        private readonly trpc: TrpcService,
        private readonly trainSituationService: TrainSituationService,
    ) { }

    router = this.trpc.router({
        create:this.trpc.protectProcedure
            .input(TrainSituationArgsSchema)
            .mutation(async ({ input }) => {
                this.trainSituationService.create(input)
            }),
    })

}